datacache <- new.env(hash=TRUE, parent=emptyenv())

illuminaHumanv3 <- function() showQCData("illuminaHumanv3", datacache)
illuminaHumanv3_dbconn <- function() dbconn(datacache)
illuminaHumanv3_dbfile <- function() dbfile(datacache)
illuminaHumanv3_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
illuminaHumanv3_dbInfo <- function() dbInfo(datacache)

illuminaHumanv3ORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "illuminaHumanv3.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "illuminaHumanv3", "chip illuminaHumanv3", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(illuminaHumanv3_dbconn())
}

